/* Estilos generales */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

/* Contenedor principal */
.container-fluid {
  max-width: 100%;
  margin: 0 auto;
  padding: 20px;
}

/* Carrusel */
.carousel {
  position: relative;
  width: 100%;
  max-width: 800px; /* Ajusta el ancho máximo según sea necesario */
  margin: 0 auto;
}

.main-image {
  width: 100%;
  height: auto;
  object-fit: contain; /* Asegura que la imagen se ajuste sin cortarse */
  border-radius: 10px;
  border: 2px solid rgba(255, 255, 255, 0);
}

.thumbnails {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.thumbnails img {
  width: 20%;
  height: 100%;
  margin: 5px;
  cursor: pointer;
  object-fit: cover; /* Asegura que las miniaturas se ajusten sin cortarse */
  border-radius: 5px;
}

/* Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  padding-top: 60px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
}

.modal-contenido {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 90%;
}

.cerrar-modal {
  position: absolute;
  top: 20px;
  right: 35px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
}

.cerrar-modal:hover {
  color: #bbb;
}

/* Botones */
.botones-container {
  text-align: center;
  margin-top: 20px;
}

.carrito-btn, .carrito-btnn {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
}

.carrito-btn {
  background-color: #28a745;
  color: white;
}

.carrito-btnn {
  background-color: #007bff;
  color: white;
}